#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/wait.h>


int main() {
	if (open("/proc/cmdline", O_RDONLY) != 3) {
		perror("open");
		return -1;
	}

	switch (fork()) {
		case -1:
			perror("fork");
			return -1;

		case 0:
			abort();

		default:
			if (wait(0) == -1) {
				perror("wait");
				return -1;
			}
	}

	return 0;
}
